complexType "CommoditySettlementPeriodsNotionalQuantity"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | quantityUnit, quantityFrequency?, quantity?, settlementPeriodsReference*
</...>

Content Model Elements (4):

  quantity (defined in CommodityNotionalQuantity complexType),
  quantityFrequency (defined in CommodityNotionalQuantity complexType),
  quantityUnit (defined in CommodityNotionalQuantity complexType),
  settlementPeriodsReference (in settlementPeriodsNotionalQuantity)

All Direct / Indirect Based Elements (1):

  settlementPeriodsNotionalQuantity

Known Usage Locations

- As direct type of elements (1):
  settlementPeriodsNotionalQuantity

Annotation
The notional quantity of electricity that applies to one or more groups of Settlement Periods.
Type Definition Detail

Type Derivation Tree CommodityNotionalQuantity (extension) CommoditySettlementPeriodsNotionalQuantity

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="CommoditySettlementPeriodsNotionalQuantity"> <xsd:complexContent> <xsd:extension base="CommodityNotionalQuantity"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/4)
settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  The range(s) of Settlement Periods to which the Notional Quantity applies.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.